Hey Microsoft, you just have issues

Yes, geniuses, I do know that IE8 requires Windows Server 2003 Service Pack 2.

However:

  • They should mention that up front somewhere, not in itsy bitsy letters at the bottom
  • The error message should say so — you need to upgrade to SP2 for example. To me, this reads like Server 2003 is not supported period, which is just infuriating.
  • Finally, having to download this install using Google Chrome is just absolutely beyond me. (IE 6 on this machine, and IE7 on another one just kept crashing if I attempted to download IE7 and IE8 respectively).

So yea, I consider that a fail.

Finally, people should stop building IE only applications so I wouldn’t have to go through this at all.

Chirag Desai @Chirag